=== debian/changelog ===
vlc-plugin-pipewire (3-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:31:37 +1100

vlc-plugin-pipewire (3-3build1) noble; urgency=high

  * No change rebuild against libpipewire-0.3-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:58:40 +0100

vlc-plugin-pipewire (3-3) unstable; urgency=medium

  * debian/: Track vlc plugin ABI
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jan 2024 10:18:56 +0100

vlc-plugin-pipewire (3-2) unstable; urgency=medium

  * debian/patches: Prioritize pulseaudio over the pipewire plugin until
    buggy edge cases around auto detection have been fixed.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Jun 2022 18:38:55 +0200

vlc-plugin-pipewire (3-1) unstable; urgency=medium

  * New upstream version 3
    - Fix double free (Closes: #1011039)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 May 2022 22:30:55 +0200

vlc-plugin-pipewire (2-1) unstable; urgency=medium

  * Initial release (Closes: #1010222)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 May 2022 20:46:54 +0200
