=== debian/control ===
Source: vlc-plugin-pipewire
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libvlccore-dev,
 libpipewire-0.3-dev (>= 0.3.50),
 pkg-config
Standards-Version: 4.6.2
Homepage: https://www.remlab.net/vlc-plugin-pipewire/
Vcs-Git: https://salsa.debian.org/multimedia-team/vlc-plugin-pipewire.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/vlc-plugin-pipewire
Rules-Requires-Root: no

Package: vlc-plugin-pipewire
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vlc:PluginABI}
Description: PipeWire audio plugins for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This plugin provides seamless integration with PipeWire inside the VLC media
 player and LibVLC-based applications.
