=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_gencontrol-arch:
	sed -n 's/^# define MODULE_SYMBOL \([0-9][_0-9a-z]*\)/-Vvlc:PluginABI=vlc-plugin-abi-\1/p' \
		/usr/include/vlc/plugins/vlc_plugin.h | tr _ - | xargs dh_gencontrol -a --
