=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.xz%vlc-plugin-pipewire-$1.tar.xz%" \
    https://www.remlab.net/files/vlc-plugin-pipewire/ \
    (?:.*?/)?vlc-plugin-pipewire-v(\d[\d.]*)\.tar\.xz
